//
// Autore: Giuliano Pellegrini Parisi
//
// Classe: 3^Sirio Informatica
//
// Data: 2 novembre 2008 2008
//
// Oggetto: libreria fbblGeometriaPiana
//
// Release: 0.1a

using System;


namespace fbblGeometriaPiana  // namespace è sinonimo di valigetta degli attrezzi
{

    public class StrumentiGeometriaPiana   // All'interno della valigetta ho una sezione dove metto gli attrezzi
    {

        // Abbiamo 4 funzioni polimorfiche!
        // Una funzione è polimorfica se ha lo stesso nome e lo stesso numero di parametri passati.
        //
        // Il concetto di POLIMORFICO E' CHIAMATO OVERLOAD


        static public int CalcoloAreaRettangolo(int dato_base,int dato_altezza)
        {
           return dato_base*dato_altezza;
        }

        static public double CalcoloAreaRettangolo(double dato_base, double dato_altezza)
        {
            return dato_base * dato_altezza;
        }

        static public int CalcoloPerimetroRettangolo(int dato_base, int dato_altezza)
        {
            return (dato_base + dato_altezza) * 2;
        }

        static public double CalcoloPerimetroRettangolo(double dato_base, double dato_altezza)
        {
            return (dato_base + dato_altezza) * 2;
        }

      
    }

}
